Joomla Template Installation (quickstart)

  • Hallo zusammen :)


    Ich muss euch noch einmal mit einem Joomla Problem belästigen.

    Diesmal möchte ich ein Template installieren. Auch das habe ich vorher bereits des öfteren erfolgreich gemacht und nun das erste mal über netcup.

    Das Template das ich installieren möchte nennt sich Purity 3 oder auch purity iii geschrieben. Einen Link dazu gibt es hier


    Installieren möchte ich die Version die nicht nur das Template beinhaltet sondern zu dem auch Beispielinhalt. Demnach habe ich die quickstart version herunter geladen. Ich weiß das man einige Templatepakete zuvor entpacken muss, das ist bei diesem jedoch nicht der Fall.


    Wenn ich nun das Template installiere: Erweiterung / Verwalten / Installieren / Paketdatei hochladen


    erhalte ich Folgende Fehlermeldung:


    Warnung

    JInstaller: :Install: Die Joomla!-XML-Installationsdatei konnte nicht gefunden werden.
    Das Joomla!-Paket kann nicht wie andere Erweiterungen installiert werden. Hierfür muss die Joomla!-Aktualisierungskomponente genutzt werden.


    Wenn ich dann den Schritten in dieser Fehlermeldung folge und das Template über die Aktualisierungskomponente installieren erhalte ich die Meldung:


    Die Site wurde aktualisiert. Die neue Joomla!-Version ist jetzt: 3.9.10.


    Es ist ja auch eine Aktualisierungskomponente.


    Aber das Template ist dann immer noch nicht installiert.


    Google Ergebnisse haben mich dazu veranlasst in der PHP.ini das Verzeichnis upload_tmp_dir zu ändern. Dieses lautet nun {DOCROOT}{/}tmp


    Dadurch habe ich zumindest schon einmal die folgende Meldung in Joomla beseitigen können:


    Dieses Verzeichnis wird zum temporären Speichern von hochgeladenen Dateien genutzt, bevor Joomla! auf die Datei zugreifen kann. Obwohl das temporäre Verzeichnis nicht gesetzt wurde, sollte es in der Regel keine Probleme geben. Wenn es Probleme gibt, dass XML-Dateien (Manifest-Dateien) nicht erkannt oder hochgeladene Dateien nicht gefunden werden, sollte der Wert von „upload_tmp_dir“ in der „php.ini“-Datei angepasst werden.


    Ich habe darauf hin versucht nur das Template ohne Beispieldateien zu installieren. Das hat auch geklappt aber das Template wird nicht unter Templates angezeigt.

    Daraufhin habe ich ein anderes Template getestet. Möglicherweise ist Purity 3 ja fehlerhaft. Aber mit dem Template Zenith 2 habe ich genau die gleichen Probleme. Jedoch mit der Besonderheit das wenn ich nur das Template ohne Beispieldateien installiere das Template auch unter Templates angezeigt wird und als Standard auszuwählen ist. Bringt nur nichts denn wenn man nun die Seite aufruft kommt die Meldung:

    Unable to find Expose library. Please make sure you have it installed.


    Kurz gesagt:

    Ich möchte gern Purity 3 oder Zenith 2 installieren. Und am liebsten mit den Beispieldateien. Habt ihr einen Tipp für mich ?


    Mit besten Grüßen,

    Evangelos Brown


  • Es ist bei mir schon eine Weile her, aber ich vermute, es geht um den JoomlArt Extension Manager, und darum ein Repository für das Template einzurichten:

    /administrator/index.php?option=com_jaextmanager&view=repo


    Sobald das Template und die Purity-Libraries/Extensions installiert sind, kann man es über den Joomla /administrator/index.php?option=com_templates aktivieren.

    ░▒▓Blog: https://grundsoli.de/▓▒░

    ░▒▓Gutscheine: https://netcup-groupie.de/▓▒░